<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>es002</title>
    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
</head>

<body>
    <div id="memo">
        <h1>es002</h1>
        <p>
            <input v-model="text" placeholder="add a memo" />
            <button v-on:click="addMemo(text)">add</button>
        </p>
        <ul>
            <li v-for="(item, index) in memos">
                <button v-on:click="deleteMemo(index)">delete</button> : {{ item.text }}
            </li>
        </ul>
        <p v-if="memos.length != 0">
            <button v-on:click="deleteAll">delete all</button>
        </p>
    </div>
    <script src="app.js"></script>
</body>

</html>
